import styled from 'styled-components';
import { ReactNode } from 'react';
import { useTheme } from '@mui/material/styles';
interface Props {
  content: string;
  color: string;
  children?: ReactNode;
}

const Wrapper = styled.div<{ color: string }>`
  background-color: ${(props) => props.color};
  font: 'Arial';

  height: 100%;
  width: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
`;

const Content = styled.div`
  margin: 2em;
  border-radius: 8px;
  width: 100%;
  height: 100%;
`;

const Panel = (props: Props) => {
  const theme = useTheme();

  return (
    <Wrapper color={props.color}>
      <Content>
        <h1 style={{ backgroundColor: theme.palette.dataPointColors[1] }}>
          {props.content}
        </h1>
        {props.children}
      </Content>
    </Wrapper>
  );
};

export default Panel;
